using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerMovement : MonoBehaviour
{
    public float Speed = 3f;
    public float JumpForce = 6f;

    private Rigidbody2D rigidbody2D;
    
    // Start is called before the first frame update
    void Start()
    {
        rigidbody2D = GetComponent<Rigidbody2D>();
    }

    // Update is called once per frame
    void Update()
    {
        GroundMovement();
        Jump();
    }

    void GroundMovement()
    {
        float horizontal = Input.GetAxis("Horizontal");

        float xVelocity = Speed * horizontal;
        rigidbody2D.velocity = new Vector2(xVelocity, rigidbody2D.velocity.y);
    }

    void Jump()
    {
        if (!Input.GetButtonDown("Jump"))
            return;
        
        rigidbody2D.AddForce(Vector2.up * JumpForce, ForceMode2D.Impulse);
    }
}
